Bug 2267750 (CVE-2023-52574) - CVE-2023-52574 kernel: team: NULL pointer dereference when team device type is changed
Summary: CVE-2023-52574 kernel: team: NULL pointer dereference when team device type i...
Keywords:
Status: NEW
Alias: CVE-2023-52574
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2267764
TreeView+ depends on / blocked
 
Reported: 2024-03-04 17:38 UTC by ybuenos
Modified: 2024-06-09 15:19 UTC (History)
50 users (show)

Fixed In Version: kernel 4.14.327, kernel 4.19.296, kernel 5.4.258, kernel 5.10.198, kernel 5.15.134, kernel 6.1.56, kernel 6.5.6, kernel 6.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:2634 0 None None None 2024-05-01 01:22:41 UTC
Red Hat Product Errata RHBA-2024:2650 0 None None None 2024-05-02 00:15:30 UTC
Red Hat Product Errata RHBA-2024:2686 0 None None None 2024-05-02 22:50:37 UTC
Red Hat Product Errata RHSA-2024:2394 0 None None None 2024-04-30 10:16:26 UTC
Red Hat Product Errata RHSA-2024:2950 0 None None None 2024-05-22 09:13:41 UTC
Red Hat Product Errata RHSA-2024:3138 0 None None None 2024-05-22 09:52:58 UTC

Description ybuenos 2024-03-04 17:38:23 UTC
In the Linux kernel, the following vulnerability has been resolved:

team: fix null-ptr-deref when team device type is changed

The Linux kernel CVE team has assigned CVE-2023-52574 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024030256-CVE-2023-52574-a423@gregkh/T/#u

Comment 6 errata-xmlrpc 2024-04-30 10:16:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2394 https://access.redhat.com/errata/RHSA-2024:2394

Comment 7 errata-xmlrpc 2024-05-22 09:13:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:2950 https://access.redhat.com/errata/RHSA-2024:2950

Comment 8 errata-xmlrpc 2024-05-22 09:52:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:3138 https://access.redhat.com/errata/RHSA-2024:3138

Comment 9 Alex 2024-06-09 15:19:00 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2023-52574 is: CHECK	Maybe valid. Check manually. with impact MODERATE (that is approximation based on flags DANGER NULLPTR  ; these flags parsed automatically based on patche data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.


Note You need to log in before you can comment on or make changes to this bug.